#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindow),
      sketchMode(SKETCH_MODE_INVALID),
      scene(new QGraphicsScene(-WIDTH/2, -HEIGHT/2, WIDTH, HEIGHT)),
      currentLine(NULL),
      currentPosition(0, 0),
      inputDot(new QGraphicsEllipseItem(-DOTT, -DOTT, DOTT*2, DOTT*2)),
      horizontalWheel(new Wheel(-WHEEL/2, -WHEEL/2, WHEEL, WHEEL)),
      verticalWheel(new Wheel(-WHEEL/2, -WHEEL/2, WHEEL, WHEEL)),
      lastDirection(0)
{
    ui->setupUi(this);
    scene->setSceneRect(-WIDTH/2, -HEIGHT/2, WIDTH, HEIGHT);
    scene->addItem(inputDot);

    scene->addItem(horizontalWheel);
    horizontalWheel->setPos(-WIDTH/2+BORDER+WHEEL/2, HEIGHT/2-BORDER-WHEEL/2);
    QObject::connect(horizontalWheel, SIGNAL(rotated(qreal)),
                     this, SLOT(rotateHorizontal(qreal)));

    scene->addItem(verticalWheel);
    verticalWheel->setPos(WIDTH/2-BORDER-WHEEL/2, HEIGHT/2-BORDER-WHEEL/2);
    QObject::connect(verticalWheel, SIGNAL(rotated(qreal)),
                     this, SLOT(rotateVertical(qreal)));

    ui->graphicsView->setScene(scene);
    ui->graphicsView->resize(WIDTH, HEIGHT);

    accel = new Accelerometer(this);
    QObject::connect(accel, SIGNAL(accelHit()),
                     this, SLOT(shiverScreen()));
}

MainWindow::~MainWindow()
{
    delete ui;
}
